For full changes, read the news section in info. This file
lists only important changes.

In Sawfish 1.6.0 there are the following major changes:

9 mouse button support
**********************

Support for 6 - 9 mouse buttons is now optional. X.Org/XFree86 headers
only define up to 5 buttons, and we use a working but somewhat hackish
workaround for getting buttons 6 - 9 which is suspected to cause some
problems with modifiers. Support for them is enabled by default. If
you want to disable it, add the following flag to configure:

--without-nine-mousebuttons

If you drop it, then you can't use mouse button 8 to, for example,
drag windows.

sawfish-ui is now sawfish-config
********************************

The sawfish-configuration-tool has been renamed from
`sawfish-ui' to `sawfish-config'

$prefix/libexecdir -> $prefix/lib directory move
************************************************

libreps/sawfishs library directory as changes as mentioned above,
thus you need to recompile anything linked against both, which
namely means rep-gtk and sawfish-pager, and everything will
work again as expected.

------------------------------------------------------------------------
In Sawfish 1.5.0 there are the following major changes:

sawmill-defaults is now sawfish-defaults
****************************************

sawfish-defaults is an alias to the standard sawfish
configuration, if your ~/.sawfish[/]rc contains the line:

(require 'sawmill-defaults)

then updated the line to the new value:

(require 'sawfish-defaults)

~/.sawmillrc is no longer a valid configuration file
****************************************************

now, there we fully renamed from sawmil to sawfish,
also ~/.sawmillrc is no longer a valid configuration file.

if you're using it, simply rename it to:

~/.sawfishrc -or- ~/.sawfish/rc

both are valid and please restart sawfish after renaming
your configuration file.

Building using XFree86 or X.Org 6.x instead of X.Org 7.x:
*********************************************************

simply add the following flag to configure:

--without-xorg-x11r7

(eg: ./configure --prefix=/usr --without-xorg-x11r7)

Building without using PANGO for font-rendering:
************************************************

simply add the following flag to configure:

--without-pango

(eg: ./configure --prefix=/usr --without-pango)

Building without translations:
******************************

simply add the following flag to configure:

--without-nls

(eg: ./configure --prefix=/usr --without-nls)

SawfishConfig GtkTree:
*******************

recently the old GtkNotebook UI has been replaced by a GtkTree
UI, sadly this widget does currently not support single-clicking
it, so you need to double-click it. 

but: the old ui is -of course- still available, use:

sawfish-config --flatten [in a terminal]
(define-special-variable customize-program "sawfish-config --flatten") [in your config-file]

- Christopher Bratusek <zanghar@freenet.de>
